[arch-commits] Commit in qt/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sat May 31 07:21:34 EDT 2008


    Date: Saturday, May 31, 2008 @ 07:21:34
  Author: pierre
Revision: 2307

upgpkg: qt 4.4.0-3
    added qt-copy-patches from KDE

Modified:
  qt/trunk/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-31 10:56:12 UTC (rev 2306)
+++ PKGBUILD	2008-05-31 11:21:34 UTC (rev 2307)
@@ -2,7 +2,7 @@
 
 pkgname=qt
 pkgver=4.4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="The QT gui toolkit."
 arch=('i686' 'x86_64')
 url="http://www.trolltech.com/products/qt"
@@ -15,16 +15,22 @@
 replaces=('qt4')
 conflicts=('qt4')
 _pkgfqn=qt-x11-opensource-src-$pkgver
-source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz")
-md5sums=('f13ad0aa75efad314715930e663bad55')
+# svn export svn://anonsvn.kde.org/home/kde/trunk/qt-copy/patches/ qt-copy-patches
+source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz" 'ftp://ftp.archlinux.org/other/qt/qt-copy-patches-814804.tar.bz2')
+md5sums=('f13ad0aa75efad314715930e663bad55' '3342aa7114bda3cb814cbf5ca8d4cb91')
 
 build() {
 	unset QMAKESPEC
-	export QT4DIR=$startdir/src/$_pkgfqn
+	export QT4DIR=$srcdir/$_pkgfqn
 	export PATH=${QT4DIR}/bin:${PATH}
 	export LD_LIBRARY_PATH=${QT4DIR}/lib:${LD_LIBRARY_PATH}
-	cd $startdir/src/$_pkgfqn
 
+	cd $srcdir/$_pkgfqn
+	for i in $srcdir/qt-copy-patches/*.diff; do
+		echo "applying $i"
+		patch -p0 -i $i || return 1
+	done
+
 	# remove unwanted mkspecs
 	cd mkspecs/
 	find . -maxdepth 1 -regextype posix-egrep -type d ! -regex "./linux.*|./common|./features|./qws" -exec rm -rf "{}" \;
@@ -54,11 +60,11 @@
 		-optimized-qmake || return 1
 
 	make || return 1
-	make INSTALL_ROOT=$startdir/pkg install || return 1
+	make INSTALL_ROOT=$pkgdir install || return 1
 
 	# lots of cleanup and path fixes - thanks to crazy (frugalware)
-	find $startdir/pkg/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
-	sed -i -e "s|-L$startdir/src/${_pkgfqn}/lib||g" $startdir/pkg/usr/lib/pkgconfig/*.pc
-	sed -i -e "s|$startdir/src/${_pkgfqn}/bin/moc|/usr/bin/moc|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
-	sed -i -e "s|$startdir/src/${_pkgfqn}/bin/uic|/usr/bin/uic|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
+	find $pkgdir/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
+	sed -i -e "s|-L$srcdir/${_pkgfqn}/lib||g" $pkgdir/usr/lib/pkgconfig/*.pc
+	sed -i -e "s|$srcdir/${_pkgfqn}/bin/moc|/usr/bin/moc|g" $pkgdir/usr/lib/pkgconfig/*.pc
+	sed -i -e "s|$srcdir/${_pkgfqn}/bin/uic|/usr/bin/uic|g" $pkgdir/usr/lib/pkgconfig/*.pc
 }
\ No newline at end of file





More information about the arch-commits mailing list